Subject: Re: [PATCH 3/3] Makefile: add commented out 's for Emacs here, too

From: Markus Heidelberg <[email-masked]>
Date: Sat, 30 May 2009 15:05:37 +0200

Samuel Bronson, 26.05.2009:
> Signed-off-by: Samuel Bronson <[email-masked]>
> ---
>  Makefile |   13 +++++++++++++
>  1 files changed, 13 insertions(+), 0 deletions(-)
> 
> diff --git a/Makefile b/Makefile
> index 07a141d..b485c21 100644
> --- a/Makefile
> +++ b/Makefile
> @@ -1190,6 +1190,13 @@ prefix_SQ = $(subst ','\'',$(prefix))
>  SHELL_PATH_SQ = $(subst ','\'',$(SHELL_PATH))
>  PERL_PATH_SQ = $(subst ','\'',$(PERL_PATH))
>  TCLTK_PATH_SQ = $(subst ','\'',$(TCLTK_PATH))
> +# unconfuse Emacs: '
> +
> +# The above comment is in case there is an odd number of _SQ
> +# definitions above, since they seem to confuse Emacs. If there is an
> +# even number of such definitions, it does no harm, since emacs
> +# doesn't recognize string delimiters inside recognized comments.

This doesn't only confuse Emacs, so the subject should be changed to
something like "... to unconfuse editors' syntax highlighting" and be
squashed with Patch 1/3, since this is exactly the same issue.

I think this is way too much comment and would prefer none at all. I
also would remove the global 4-line comment.

But Vim for example is not satisfied with your fix above. It needs this
workaround for every line and additionally needs a closing parenthesis,
because the real one is hidden in the string. So this would work for
Vim:

 PERL_PATH_SQ = $(subst ','\'',$(PERL_PATH))
+#')
 TCLTK_PATH_SQ = $(subst ','\'',$(TCLTK_PATH))
+#')

Maybe even behind the concerned line to avoid clutter, if this doesn't
cause other problems:

-PERL_PATH_SQ = $(subst ','\'',$(PERL_PATH))
+PERL_PATH_SQ = $(subst ','\'',$(PERL_PATH))#')
-TCLTK_PATH_SQ = $(subst ','\'',$(TCLTK_PATH))
+TCLTK_PATH_SQ = $(subst ','\'',$(TCLTK_PATH))#')

But I'm not completely confident of this fix anyway and don't know
whether it should be included at all.

Markus